OBUS-XML2IDL(1)

NAME
obus-xml2idl - convert a D-Bus introspection file into an obus IDL one

SYNOPSIS
obus-xml2idl [ options ] input-file

DESCRIPTION

obus-xml2idl generates an obus IDL file from a D-Bus xml introspection file. THe file can then be used with other obus tools such as obus-gen-interface , obus-gen-client , obus-gen-server

The goal of the obus IDL is to allow you to write D-Bus interface with a syntax lighter than XML.

OPTIONS

-o file-name
    Use this name as output. It defaults to the input file name with the extension replaced by "obus".

-help or --help
    Display a short usage summary and exit.

AUTHOR
Jérémie Dimino <jeremie@dimino.org>

SEE ALSO
obus-idl2xml.